package org.gvsig.fmap.dal.expressionevaluator;

import org.gvsig.expressionevaluator.MutableSymbolTable;
import org.gvsig.expressionevaluator.SymbolTable;
import org.gvsig.fmap.dal.feature.Feature;

/**
 *
 * @author jjdelcerro
 */
public interface FeatureSymbolTable extends SymbolTable {
 
    public void setFeature(Feature feature);
    
    @Override
    public FeatureSymbolTable clone() throws CloneNotSupportedException;
    
    /**
     * Utility method that creates a mutable symbol table whose table 
     * delegated to this.
     * 
     * @return 
     */
    public MutableSymbolTable createParent();

}
