package org.gvsig.fmap.dal.feature;

/**
 *
 * @author jjdelcerro
 */
public abstract class AbstractDataProfile implements DataProfile {

    private final String id;
    private final String name;
    private final Class dataClass;

    public AbstractDataProfile(String id, String name, Class dataClass) {
        this.id = id;
        this.name = name;
        this.dataClass = dataClass;
    }
    
    public AbstractDataProfile(String name, Class dataClass) {
        this(name, name, dataClass);
    }
    
    @Override
    public String getID() {
        return this.id;
    }

    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public Class getDataClass() {
        return this.dataClass;
    }

}
