package org.gvsig.fmap.dal.feature;

/**
 *
 * @author jjdelcerro
 */
public interface EditableForeingKey extends ForeingKey {

    public void setForeingKey(boolean foreingKey);

    /**
     * Indicates whether the foreign key reference to a closed list of values.
     * 
     * @param closedList 
     */
    public void setClosedList(boolean closedList);

    public void setTableName(String tableName);
    
    public void setCodeName(String codeName);
    
    public void setLabelFormula(String labelFormula);

    public void clean();
}
