
package org.gvsig.fmap.dal.store.jdbc2.spi.operations;

import java.sql.Connection;
import org.gvsig.fmap.dal.resource.exception.AccessResourceException;
import org.gvsig.fmap.dal.store.jdbc2.JDBCHelper;


public abstract class AbstractConnectionWritableOperation extends AbstractConnectionOperation {

    public AbstractConnectionWritableOperation(JDBCHelper helper) {
        super(helper);
    }
    
    @Override
    protected Connection getConnection() throws AccessResourceException {
        if( this.conn == null ) {
            this.conn = this.helper.getConnectionWritable();
        }
        return this.conn;  
    }
    
}
