/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.fmap.dal.feature.spi.simpleprovider;

import java.io.FileFilter;
import java.net.URL;
import org.gvsig.fmap.dal.DataParameters;
import org.gvsig.fmap.dal.feature.FeatureStoreProviderFactory;
import org.gvsig.fmap.dal.feature.OpenFeatureStoreParameters;
import org.gvsig.fmap.dal.serverexplorer.filesystem.spi.FilesystemServerExplorerProviderFactory;

/**
 *
 * @author jjdelcerro
 */
public interface SimpleSequentialReaderFactory extends FileFilter {
    
    public String getName();
    
    public String getDescription();
    
    public String[] getExtensions();
    
    public SimpleSequentialReader createReader(OpenFeatureStoreParameters params);
    
    public FeatureStoreProviderFactory createStoreProviderFactory();
    
    public FilesystemServerExplorerProviderFactory createFilesystemServerProviderFactory();
    
    public void selfRegister(URL parameters_xml, URL metadata_xml);
    
    public void selfRegister(Class loader);

    public void fetchDefaultParameters(DataParameters parameters);
}
