package org.gvsig.fmap.dal.serverexplorer.filesystem.impl;

import org.gvsig.fmap.dal.serverexplorer.filesystem.spi.FilesystemProviderServices;

public class DefaultFilesystemProviderServices extends AbstractFilesystemProviderServices{

    /**
     * Public constructor
     * @param name
     * @param description
     */
    public DefaultFilesystemProviderServices(String name, String description){
       this.name=name;
       this.description=description;
    }

    public void setAllowCreate(int allowCreate){
        if (FilesystemProviderServices.YES == allowCreate || FilesystemProviderServices.NO == allowCreate){
            this.allowCreate=allowCreate;
        }else{
            this.allowCreate=FilesystemProviderServices.UNKNOWN;
        }
    }

    public void setMode(int mode) {
        this.mode=mode;
    }


}
