package org.gvsig.fmap.dal.feature.impl.indexes.geometry;

import org.gvsig.fmap.dal.DataFactory;
import org.gvsig.fmap.dal.DataFactoryUnit;
import org.gvsig.fmap.dal.spi.AbstractDataFactory;
import org.gvsig.tools.dynobject.DynObject;
import org.gvsig.tools.service.spi.Services;

public class GeometryIndexProviderFactory 
        extends AbstractDataFactory
        implements DataFactory 
    {

    private static final String NAME = "GeometryIndex";
    
    public GeometryIndexProviderFactory() {
        super(NAME, "");
    }

    @Override
    public DataFactoryUnit create(DynObject parameters, Services services) {
        return new GeometryIndexProvider();
    }

    @Override
    public DynObject createParameters() {
        return null;
    }

}
