package org.gvsig.fmap.dal.impl.expressionevaluator;

import org.gvsig.tools.evaluator.Evaluator;
import org.gvsig.tools.evaluator.EvaluatorFactory;

/**
 *
 * @author jjdelcerro
 */
public class DefaultEvaluatorFactory implements EvaluatorFactory {

    @Override
    public Evaluator createEvaluator(String phrase) {
        Evaluator e = new DefaultExpressionEvaluator(phrase);
        return e;
    }

    @Override
    public String getName() {
        return "DAL expression evaluator";
    }
    
}
