package org.gvsig.fmap.dal.impl.expressionevaluator;

import org.gvsig.expressionevaluator.SymbolTable;
import org.gvsig.expressionevaluator.spi.AbstractSymbolTableFactory;
import org.gvsig.fmap.dal.DataManager;
import org.gvsig.fmap.dal.expressionevaluator.FeatureSymbolTable;

/**
 *
 * @author jjdelcerro
 */
public class DefaultfeatureSymbolTableFactory extends AbstractSymbolTableFactory {

    public DefaultfeatureSymbolTableFactory() {
        super(DataManager.DAL_SYMBOL_TABLE_FEATURE, false);
    }
    
    @Override
    public SymbolTable create(Object... args) {
        FeatureSymbolTable symbolTable = new DefaultFeatureSymbolTable();
        return symbolTable;
    }
    
}
