package org.gvsig.fmap.dal.spi;

import org.gvsig.fmap.dal.DataStore;
import org.gvsig.fmap.dal.StoresRepository;
import org.gvsig.tools.dispose.impl.AbstractDisposable;
import org.gvsig.tools.resourcesstorage.ResourcesStorage;
import org.gvsig.tools.util.UnmodifiableBasicMap;

/**
 *
 * @author jjdelcerro
 */
public abstract class AbstractDataStoreProvider 
        extends AbstractDisposable
        implements DataStoreProvider 
    {
    
    protected AbstractDataStoreProvider() {
        
    }
        @Override
	public UnmodifiableBasicMap<String,DataStore> getChildren() {
		return UnmodifiableBasicMap.EMPTY_UNMODIFIABLEBASICMAP;
	}

        @Override
        public StoresRepository getStoresRepository() {
            return null;
        }
        
        @Override
        public ResourcesStorage getResourcesStorage() {
            return null;
        }

    
}
