package org.gvsig.fmap.dal.swing.searchpanel;

import javax.swing.JComponent;
import org.gvsig.expressionevaluator.Expression;
import org.gvsig.fmap.dal.feature.FeatureStore;
import org.gvsig.tools.swing.api.ActionListenerSupport;
import org.gvsig.tools.swing.api.Component;

/**
 *
 * @author jjdelcerro
 */
public interface FeatureStoreSearchPanel extends  Component, ActionListenerSupport {
    
    public static final String CONFIGURABLE_PANEL_ID = "FeatureStoreSearchPanel";
    
    public static final String ACTION_CONTEXT_NAME = "FeatureStoreSearchPanel";
    
    public static final int DEFAULT_WIDTH = 700;
    public static final int DEFAULT_HEIGHT = 450;
    
    public Expression getFilter();
    
    public boolean setFilter(Expression filter);
    
    public Expression getCurrentSearch();
    
    public void setCurrentSearch(Expression filter);
    
    public Expression getSearchForSelectedFeature();
    
    public int getSelectedFeatureCount();
    
    public FeatureStore getStore();
    
    public JComponent getActionButton(String name);
    
    public void setShowActions(boolean showActions);
    
    public boolean isShowActions();
    
}
