package org.gvsig.fmap.mapcontext.layers;

/**
 * Utility class to implements LayerCollectionListener overwriting only 
 * some events.
 */
public class BaseLayerCollectionListener implements LayerCollectionListener {

    @Override
    public void layerAdded(LayerCollectionEvent e) {
    }

    @Override
    public void layerMoved(LayerPositionEvent e) {
    }

    @Override
    public void layerRemoved(LayerCollectionEvent e) {
    }

    @Override
    public void layerAdding(LayerCollectionEvent e) throws CancelationException {
    }

    @Override
    public void layerMoving(LayerPositionEvent e) throws CancelationException {
    }

    @Override
    public void layerRemoving(LayerCollectionEvent e) throws CancelationException {
    }

    @Override
    public void visibilityChanged(LayerCollectionEvent e) throws CancelationException {
    }
    
}
