/* gvSIG. Desktop Geographic Information System.
 *
 * Copyright  2007-2017 gvSIG Association
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.fmap.mapcontext.rendering.legend.events;

import org.gvsig.fmap.mapcontext.events.FMapEventBase;
import org.gvsig.fmap.mapcontext.layers.operations.ClassifiableVectorial;


/**
 * @author fdiaz
 *
 */
public class LegendEventBase extends FMapEventBase implements LegendEvent{

    private int eventSubtype;

    public LegendEventBase() {
    }

    /**
     * @param subtype
     */
    public LegendEventBase(int type, int subtype) {
        setEventSubtype(subtype);
        setEventType(type);
    }

    @Override
    @Deprecated
    public ClassifiableVectorial getLayer() {
        return null;
    }

    @Override
    @Deprecated
    public void setLayer(ClassifiableVectorial layer) {
    }

    @Override
    public int getEventSubtype() {
        return this.eventSubtype;
    }

    @Override
    public void setEventSubtype(int eventSubtype) {
        this.eventSubtype = eventSubtype;
    }

}
