package org.gvsig.export.spi;

import org.gvsig.export.ExportParameters;

/**
 *
 * @author jjdelcerro
 */
public interface ExportServiceFactory  {
    
    public String getName();
    
    public String getLabel();
    
    public String getDescription();
    
    public ExportService createService(ExportParameters parameters);
    
    public ExportParameters createParameters();
    
    public void setEnabled(boolean enabled);
    
    public boolean isEnabled();

    public boolean hasTabularSupport();
    
    public boolean hasVectorialSupport();
        
}
