package org.gvsig.export.swing;

import java.util.List;
import org.gvsig.export.spi.ExportServiceFactory;
import org.gvsig.tools.swing.api.ChangeListenerSupport;
import org.gvsig.tools.swing.api.Component;

/**
 *
 * @author jjdelcerro
 */
public interface JExportConfigPanel extends Component, ChangeListenerSupport {

    void apply();

    void reset();
    
    public List<ExportServiceFactory> getSelectedFactories();
    
    public List<String> getSelectedNames();
    
    public List<ExportServiceFactory> getAllFactories();
    
    
    
}
