package org.gvsig.export.csv.swing;

import org.gvsig.export.csv.service.ExportCSVServiceFactory;
import org.gvsig.export.ExportParameters;
import org.gvsig.export.swing.JExportProcessPanel;
import org.gvsig.export.swing.spi.AbstractExportPanelsFactory;
import org.gvsig.export.swing.spi.ExportPanels;
import org.gvsig.export.swing.spi.ExportPanelsFactory;

/**
 *
 * @author jjdelcerro
 */
public class ExportCSVPanelsFactory 
        extends AbstractExportPanelsFactory
        implements ExportPanelsFactory {

    public ExportCSVPanelsFactory() {
        super(ExportCSVServiceFactory.SERVICE_NAME);
    }

    @Override
    public ExportPanels createPanels(JExportProcessPanel processPanel, ExportParameters parameters) {
        return new ExportCSVPanels(this, processPanel, parameters);
    }
    
}
