/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.export.dbf.swing;

import org.gvsig.export.dbf.swing.panels.EncodingPanel;
import org.gvsig.export.ExportParameters;
import org.gvsig.export.swing.ExportSwingLocator;
import org.gvsig.export.swing.JExportProcessPanel;
import org.gvsig.export.swing.spi.AbstractExportPanels;
import org.gvsig.export.swing.spi.ExportPanels;
import org.gvsig.export.swing.spi.ExportPanelsFactory;
import org.gvsig.export.swing.spi.ExportPanelsManager;

/**
 *
 * @author jjdelcerro
 */
public class ExportDBFPanels 
        extends AbstractExportPanels
        implements ExportPanels
    {

    ExportDBFPanels(
            ExportPanelsFactory factory, 
            JExportProcessPanel processPanel, 
            ExportParameters parameters
        ) {
        super(factory, processPanel, parameters);
        this.initPanels();
    }
    
    private void initPanels() {
        ExportPanelsManager manager = ExportSwingLocator.getExportPanelsManager();
        
        this.add( new EncodingPanel(
                this.getProcessPanel(), 
                this.getParameters()
            )
        );
        this.add( manager.createStandardPanel(
                ExportPanelsManager.PANEL_SELECT_OUTPUT_FILE, 
                this.getProcessPanel(), 
                this.getParameters()
            )
        );
        this.add(manager.createStandardPanel(
                ExportPanelsManager.PANEL_ATTRIBUTES_SELECTION,
                this.getProcessPanel(),
                this.getParameters()
            )
        );
    }
}
