package org.gvsig.export.dbf.swing;

import org.gvsig.export.dbf.service.ExportDBFServiceFactory;
import org.gvsig.export.ExportParameters;
import org.gvsig.export.swing.JExportProcessPanel;
import org.gvsig.export.swing.spi.AbstractExportPanelsFactory;
import org.gvsig.export.swing.spi.ExportPanels;
import org.gvsig.export.swing.spi.ExportPanelsFactory;

/**
 *
 * @author jjdelcerro
 */
public class ExportDBFPanelsFactory 
        extends AbstractExportPanelsFactory
        implements ExportPanelsFactory {

    public ExportDBFPanelsFactory() {
        super(ExportDBFServiceFactory.SERVICE_NAME);
    }

    @Override
    public ExportPanels createPanels(JExportProcessPanel processPanel, ExportParameters parameters) {
        return new ExportDBFPanels(this, processPanel, parameters);
    }
    
}
