/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.gvsig.export.jdbc.service;

import org.gvsig.export.ExportParametersGeometry;
import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;

/**
 *
 * @author jjdelcerro
 */
public interface ExportJDBCParameters  extends ExportParametersGeometry {

    public JDBCServerExplorerParameters getExplorerParameters();
    
    public String getSchema();
    
    public String getTableName();
    
    public boolean canCreatetable();
    
    public String getPrimaryKey();
    
    public String getStoreName();

    public String getExplorerName();
     
    public String getSelectRole();
    
    public String getInsertRole();
    
    public String getUpdateRole();
    
    public String getDeleteRole();
    
    public String getTruncateRole();
    
    public String getReferenceRole();
    
    public String getTriggerRole();
    
    public String getAllRole();
    
    public String getPostCreatingStatement();
    
    public boolean getCreateIndexInGeometryRow();
    
    public boolean getUpdateTableStatistics();
    
    public boolean getTranslateHyphens();

    public boolean getTranslateIdentifiersToLowerCase();
   
    public boolean getRemoveSpacesInIdentifiers();
    /**
     * @param allRole the allRole to set
     */
    void setAllRole(String allRole);

    /**
     * @param canCreatetable the canCreatetable to set
     */
    void setCanCreatetable(boolean canCreatetable);

    /**
     * @param createIndexInGeometryRow the createIndexInGeometryRow to set
     */
    void setCreateIndexInGeometryRow(boolean createIndexInGeometryRow);

    /**
     * @param deleteRole the deleteRole to set
     */
    void setDeleteRole(String deleteRole);

    /**
     * @param explorerName the explorerName to set
     */
    void setExplorerName(String explorerName);

    /**
     * @param explorerParameters the explorerParameters to set
     */
    void setExplorerParameters(JDBCServerExplorerParameters explorerParameters);

    /**
     * @param insertRole the insertRole to set
     */
    void setInsertRole(String insertRole);

    /**
     * @param postCreatingStatement the postCreatingStatement to set
     */
    void setPostCreatingStatement(String postCreatingStatement);

    /**
     * @param primaryKey the primaryKey to set
     */
    void setPrimaryKey(String primaryKey);

    /**
     * @param referenceRole the referenceRole to set
     */
    void setReferenceRole(String referenceRole);

    /**
     * @param removeSpacesInIdentifiers the removeSpacesInIdentifiers to set
     */
    void setRemoveSpacesInIdentifiers(boolean removeSpacesInIdentifiers);

    /**
     * @param schema the schema to set
     */
    void setSchema(String schema);

    /**
     * @param selectRole the selectRole to set
     */
    void setSelectRole(String selectRole);

    /**
     * @param storeName the storeName to set
     */
    void setStoreName(String storeName);

    /**
     * @param tableName the tableName to set
     */
    void setTableName(String tableName);

    /**
     * @param translateHyphens the translateHyphens to set
     */
    void setTranslateHyphens(boolean translateHyphens);

    /**
     * @param translateIdentifiersToLowerCase the translateIdentifiersToLowerCase to set
     */
    void setTranslateIdentifiersToLowerCase(boolean translateIdentifiersToLowerCase);

    /**
     * @param triggerRole the triggerRole to set
     */
    void setTriggerRole(String triggerRole);

    /**
     * @param truncateRole the truncateRole to set
     */
    void setTruncateRole(String truncateRole);

    /**
     * @param updateRole the updateRole to set
     */
    void setUpdateRole(String updateRole);

    /**
     * @param updateTableStatistics the updateTableStatistics to set
     */
    void setUpdateTableStatistics(boolean updateTableStatistics);
}
