package org.gvsig.expressionevaluator;

/**
 *
 * @author jjdelcerro
 */
public class I18N {

    public static String Syntax_error_in_expression() {
        return "Syntax error in expression.";
    }

    public static String Syntax_error_near_character_XPositionX(int position) {
        return String.format("Syntax error near character %d.", position);
    }
    
    public static String Required_argument_XargnX_and_only_found_XargcX_in_call_to_XIdentifierX(String identifier, int argc, int argn) {
        return String.format("Requiered argument %d and only found %d in call_to '%s'.", argn,argc,identifier);
    }

    public static String The_type_of_the_argument_XargnX_for_the_XIdentifierX_function_is_incorrect(String identifier, int argn) {
        return String.format("The type of the argument %d for the '%s' function is incorrect.", argn,identifier);
    }

    public static String Expected_XexpectedX_and_found_XfoundX(String expected, String found) {
        return String.format("Expected '%s' and found '%s'.", expected,found);
    }

    public static String Illegal_null_value_for_argument_XargnX_of_XIdentifierX_function(String identifier, int n) {
        return String.format("Illegal null value for argument %d of '%s' function.", n, identifier);
    }
    
    public static String End_of_string_was_expected_and_end_of_source_was_found() {
        return "End of string was expected and end of source was found.";
    }
    
    public static String Expected_a_number_at_position_XpositionX(int position) {
        return String.format("Expected a number at position %d.", position);
    }

    public static String Wrong_special_number_start() {
        return "wrong special number start";
    }

    public static String Special_number_format_not_supported(String formatName) {
        return String.format("special number format '%s' not supported", formatName);
    }

    public static String Incorrect_value_for_latitude(double dd) {
        return String.format("Incorrect value for latitude (%f)", dd);
    }

    public static String Incorrect_value_for_longitude(double dd) {
        return String.format("Incorrect value for longitude (%f)", dd);
    }
    
    
}
