package org.gvsig.expressionevaluator;

import java.util.Collection;
import org.gvsig.tools.script.Script;


public interface MutableSymbolTable extends SymbolTable {

    public void setVar(String name, Object value);
    
    public void addFunction(Function function);
    
//    public void addScript(Script script);
    
    public void addFunctions(Collection<Function> functions);

    public void removeVar(String name);
    
//    public void removeScript(Script script);
    
    public void removeFunction(String name);

    @Override
    public MutableSymbolTable clone() throws CloneNotSupportedException;
}
