package org.gvsig.expressionevaluator;

import org.gvsig.expressionevaluator.Code.Caller;

/**
 *
 * @author jjdelcerro
 */
public interface Optimizer {

    public interface FunctionOptimizer {
        public Code optimize(Optimizer optimizer, Caller caller);
    }
    
    public Code optimize(Code code);
    
    public Code optimize(SymbolTable symbolTable, Code code);
    
    public void setSymbolTable(SymbolTable symbolTable);
    
    public SymbolTable getSymbolTable();
    
    public Interpreter getInterpreter();
    
    public CodeBuilder getCodeBuilder();
    
}
