package org.gvsig.expressionevaluator.spi;

import org.gvsig.expressionevaluator.SymbolTableFactory;

/**
 *
 * @author jjdelcerro
 */
public abstract class AbstractSymbolTableFactory implements SymbolTableFactory {

    private final String name;
    private final boolean autoload;

    protected AbstractSymbolTableFactory(String name, boolean autoload) {
        this.name = name;
        this.autoload = autoload;
    }
    
    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public boolean isAutoload() {
        return autoload;
    }
    
}
