package org.gvsig.expressionevaluator.impl;

import org.cresques.cts.IProjection;

/**
 *
 * @author jjdelcerro
 */
@SuppressWarnings("UseSpecificCatch")
public class ProjectionUtils {

    public static int getCode(IProjection projection) {
        if( projection==null ) {
            return 0;
        }
        String[] x = projection.getAbrev().split(":");
        try {
            int code = Integer.parseInt(x[1]);
            return code;
        } catch(Exception ex) {
            return -1;
        }
    } 

    public static String  getAuthority(IProjection projection) {
        if( projection==null ) {
            return null;
        }
        String[] x = projection.getAbrev().split(":");
        return x[0];
    } 
}
