package org.gvsig.expressionevaluator.impl.function.date;

import java.util.Date;
import org.apache.commons.lang3.Range;
import static org.gvsig.expressionevaluator.ExpressionBuilder.FUNCTION_NOW;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class NowFunction extends AbstractFunction {

    public NowFunction() {
        super("Date", FUNCTION_NOW,Range.is(0),
            "Returns current date and time\n",
            FUNCTION_NOW+"()",
            null,
            "TIMESTAMP"
        );
    }

    @Override
    public Object call(Interpreter interpreter, Object[] args) {
        Date now = new Date();
        return now;
    }
    

}
