package org.gvsig.expressionevaluator.impl.function.spatial;

import org.apache.commons.lang3.Range;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class STAsTextFunction extends AbstractFunction {

    public STAsTextFunction() {
        super("OGC", "ST_AsText", Range.is(1));
    }
    
    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
    @Override
    public Object call(Interpreter interpreter, Object[] args) throws Exception {
        String r = getGeom(args, 0).convertToWKT();
        return r;
    }
    
}
