package org.gvsig.expressionevaluator.impl.function.spatial;

import org.apache.commons.lang3.Range;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class STIsValidFunction extends AbstractFunction {

    public STIsValidFunction() {
        super("OGC", "ST_IsValid", Range.is(1));
    }
    
    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
    @Override
    public Object call(Interpreter interpreter, Object[] args) throws Exception {
        boolean r = getGeom(args, 0).isValid();
        return r;
    }
    
}
