package org.gvsig.expressionevaluator.impl.function.string;

import org.apache.commons.lang3.Range;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class AsciiFunction extends AbstractFunction {

    public AsciiFunction() {
        super("String", "ASCII", Range.is(1));
    }

    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
    @Override
    public Object call(Interpreter interpreter, Object[] args) throws Exception {
        String value = getStr(args, 0);
        int r = value.codePointAt(0);
        return r;
    }

}
