package org.gvsig.expressionevaluator.impl.function.string;

import org.apache.commons.lang3.Range;
import org.apache.commons.lang3.StringUtils;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class PositionFunction extends AbstractFunction {

    public PositionFunction() {
         super("String", "POSITION", Range.is(2));
    }

    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
    @Override
    public Object call(Interpreter interpreter, Object[] args) throws Exception {
        String search = getStr(args,0);
        String str = getStr(args,1);
        int r = StringUtils.indexOf(str, search);
        return r;
    }
    

}
