package org.gvsig.expressionevaluator.impl.symboltable;

import org.gvsig.expressionevaluator.SymbolTable;
import org.gvsig.expressionevaluator.spi.AbstractSymbolTableFactory;

/**
 *
 * @author jjdelcerro
 */
public class FoldersSymbolTableFactory extends AbstractSymbolTableFactory {

    private SymbolTable symbolTable;
    
    public FoldersSymbolTableFactory() {
        super(FoldersSymbolTable.NAME, true);
    }
    
    @Override
    public SymbolTable create(Object... args) {
        if( this.symbolTable==null ) {
            this.symbolTable = new FoldersSymbolTable();
        }
        return this.symbolTable;
    }
    
}
