package org.gvsig.expresionevaluator.impl;

import junit.framework.TestCase;
import org.gvsig.expressionevaluator.Expression;
import org.gvsig.expressionevaluator.impl.DefaultExpression;
import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;


public class TestExpressionToString extends TestCase {
    
    public TestExpressionToString(String testName) {
        super(testName);
    }
    
    @Override
    protected void setUp() throws Exception {
        super.setUp();
        new DefaultLibrariesInitializer().fullInitialize();
    }
    
    @Override
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    // TODO add test methods here. The name must begin with 'test'. For example:
    // public void testHello() {}

    
    public void testBasic1() {
        String source = "precio + 10";

        Expression expression = new DefaultExpression();
        expression.setPhrase(source);
        
        assertEquals(
                "{\"phrase\":\"precio + 10\"}", 
                expression.toJSON()
        );
    }
}
