package org.gvsig.expresionevaluator.impl;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineFactory;
import javax.script.ScriptEngineManager;
import junit.framework.TestCase;
import org.gvsig.expressionevaluator.impl.javascripting.CosaScriptEngineFactory;
import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;

/**
 *
 * @author jjdelcerro
 */
public class TestScriptEngine extends TestCase {
    
    public TestScriptEngine(String testName) {
        super(testName);
    }
    
    @Override
    protected void setUp() throws Exception {
        super.setUp();
        new DefaultLibrariesInitializer().fullInitialize();
    }
    
    @Override
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void test1() {
        ScriptEngineManager engineManager = new ScriptEngineManager();
        ScriptEngine engine = engineManager.getEngineByName(CosaScriptEngineFactory.ENGINE_NAME);

        assertNotNull("Can't locate '"+CosaScriptEngineFactory.ENGINE_NAME+" engine,", engine);
        
        assertEquals(CosaScriptEngineFactory.ENGINE_NAME, engine.getFactory().getEngineName());
    }
    
}
