package org.gvsig.expressionevaluator.swing;

import org.cresques.ProjectionLibrary;
import org.gvsig.expressionevaluator.ExpressionEvaluatorLibrary;
import org.gvsig.fmap.geom.GeometryLibrary;
import org.gvsig.tools.ToolsLibrary;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

public class ExpressionEvaluatorSwingLibrary extends AbstractLibrary {

    @Override
    public void doRegistration() {
        registerAsAPI(ExpressionEvaluatorSwingLibrary.class);
        require(ToolsLibrary.class);
        require(ProjectionLibrary.class);
        require(GeometryLibrary.class);
        require(ExpressionEvaluatorLibrary.class);
    }

    @Override
    protected void doInitialize() throws LibraryException {
    }

    @Override
    protected void doPostInitialize() throws LibraryException {

    }
}

