package org.gvsig.expressionevaluator.swing;

import org.gvsig.expressionevaluator.Expression;
import org.gvsig.tools.swing.api.Component;

/**
 *
 * @author jjdelcerro
 */
public interface JExpressionBuilder extends Component, ExpressionBuilderConfig {

    public static final String CONFIGURABLE_PANEL_ID = "JExpressionBuilder";
    
    public Expression getExpressionWithOutHistory();

    public Expression getExpression();

    public void setExpression(Expression expression);
    
    public void insertText(String text);
    
    public String getText();
    
    public void setText(String text);
    
    public void expandElement(Element element);
}
