package org.gvsig.fmap.mapcontrol.swing.dynformfield.Geometry;

import org.gvsig.fmap.geom.DataTypes;
import org.gvsig.tools.dynform.DynFormFieldDefinition;
import org.gvsig.tools.dynform.JDynFormField;
import org.gvsig.tools.dynform.spi.DynFormSPIManager;
import org.gvsig.tools.dynform.spi.dynformfield.AbstractJDynFormFieldFactory;

public class JDynFormFieldGeometryFactory extends AbstractJDynFormFieldFactory {

    public JDynFormFieldGeometryFactory() {
        super("GEOMETRY", DataTypes.GEOMETRY);
    }

    @Override
    public JDynFormField create(
            DynFormSPIManager serviceManager,
            DynFormSPIManager.ComponentsFactory componentsFactory,
            DynFormFieldDefinition fieldDefinition,
            Object value
    ) {
        return new JDynFormFieldGeometry(serviceManager, componentsFactory, this, fieldDefinition, value);
    }

}
