/**
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2013 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.installer.lib.impl.execution;

import java.io.File;
import java.net.URL;
import java.util.List;
import java.util.Properties;

import org.gvsig.installer.lib.api.PackageInfo;
import org.gvsig.installer.lib.api.execution.InstallPackageService;
import org.gvsig.installer.lib.api.execution.InstallPackageServiceException;
import org.gvsig.tools.service.Manager;
import org.gvsig.tools.task.SimpleTaskStatus;

public class InstallPackageServiceDumb implements InstallPackageService {

        @Override
	public Manager getManager() {
		return null;
	}

        @Override
	public void reset() {
	}

        @Override
	public void addBundle(File bundleFile, SimpleTaskStatus taskStatus)
			throws InstallPackageServiceException {
	}

        @Override
	public void addBundle(URL bundleURL, SimpleTaskStatus taskStatus) throws InstallPackageServiceException {
	}

        @Override
	public void addBundlesFromDirectory(File bundlesDirectory, SimpleTaskStatus taskStatus)
			throws InstallPackageServiceException {
	}

        @Override
	public void installPackage(File applicationDirectory,
			PackageInfo packageInfo) throws InstallPackageServiceException {
	}

        @Override
	public void installPackage(File applicationDirectory, String packageCode)
			throws InstallPackageServiceException {
	}

        @Override
	public int getPackageCount() {
		return 0;
	}

        @Override
	public PackageInfo getPackageInfo(int index) {
		return null;
	}

        @Override
	public PackageInfo getPackageInfo(String packageCode) {
		return null;
	}

        @Override
	public void downloadPackage(PackageInfo packageInfo,
			SimpleTaskStatus taskStatus) throws InstallPackageServiceException {
	}

        @Override
	public List<String> getDefaultSelectedPackagesIDs() {
		return null;
	}

        @Override
	public List<String> getCategories() {
		// TODO Auto-generated method stub
		return null;
	}

        @Override
	public List<String> getTypes() {
		// TODO Auto-generated method stub
		return null;
	}

    @Override
    public Properties getProperties() {
        return new Properties();
    }

    @Override
    public boolean needInstallPackageProviders() {
        return false;
    }

    @Override
    public void installPackageProviders(SimpleTaskStatus taskStatus) {
    }


}
