/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.symbology.fmap.mapcontext.rendering.dynamiclegend;

import java.awt.Color;
import java.awt.Font;
import org.gvsig.expressionevaluator.Expression;
import org.gvsig.fmap.dal.feature.Feature;
import org.gvsig.fmap.mapcontext.rendering.legend.styling.ILabelingStrategy;
import org.gvsig.fmap.mapcontext.rendering.symbols.CartographicSupport;
import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;

/**
 *
 * @author osc
 */
public interface DynamicLabelingStrategy extends ILabelingStrategy, CartographicSupport {

    String NAME = "DynamicLabelingStrategy";

    public void setFeature(Feature f);

    public Expression getRotation();

    public int getComputedRotation();

    public Expression getUnitExp();

    public int getComputedUnit();

    public Expression getText();

    public String getComputedText();

    public Expression getHeight();

    public int getComputedHeight();

    public Expression getColor();

    public Color getComputedColor();

    public Expression getFixedSize();

    public double getComputedFixedSize();

    public Expression getFontStyle();

    public int getComputedFontStyle();
    
    public void setFontStyle(int style);
    
    public void setFontStyle(Expression expression);

    public void setText(Expression expression);

    public void setRotation(Expression expression);

    public void setHeight(Expression expression);

    public void setColor(Expression expression);

    public void setUsesFixedSize(boolean b);

    public boolean usesFixedSize();

    public void setFixedSize(double fixedSize);

    public void setUsesFixedColor(boolean b);

    public boolean usesFixedColor();

    public Expression getFixedColor();

    public Color getComputedFixedColor();

    public void setFixedColor(Color fixedColor);

    public Expression getColorFont();

    public Color getComputedColorFont();

    public void setColorFont(Color colorFont);

    public Expression getFont();

    public Font getComputedFont();

    public void setFont(Font selFont);
    
    public void setFont(Expression expression);
    
    public void setReferenceSystem(Expression expression);
    
    public void setUnit(Expression expression);

}
