/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.symbology.fmap.mapcontext.rendering.dynamiclegend;

import java.util.List;
import org.gvsig.expressionevaluator.Expression;
import org.gvsig.fmap.dal.exception.DataException;
import org.gvsig.fmap.dal.feature.Feature;
import org.gvsig.fmap.dal.feature.FeatureStore;
import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;

/**
 *
 * @author osc
 */
public interface DynamicSymbol extends ISymbol {
    
    String NAME = "DynamicSymbol";

    public List<String> getRequiredFeatureAttributeNames(FeatureStore featureStore) throws DataException;
//    public Expression getColor();

    public void setColor(Expression color);

    public void setFeature(Feature feat);

    public Expression getOutlineColor();

    public void setOutlineColor(Expression exp);

    public Expression getFillColor();

    public void setFillColor(Expression exp);

    public Expression getRotation();

    public void setRotation(Expression exp);

    public Expression getSize();

    public void setSize(Expression exp);

    public Expression getOffset();

    public void setOffset(Expression offset);

    public void setRequiredFeatureAttributesNames(List<String> listRequiredAttributeNames);
}
