package org.gvsig.temporarystorage;

import java.util.Iterator;

public interface TemporaryStorageManager extends Iterable<TemporaryStorageGroup> {

    /**
     * Si existe lo devuelbe, si no falla.
     * @param groupName
     * @return 
     */
    public TemporaryStorageGroup get(String groupName);

    public boolean contains(String groupName);

    /**
     * Si no existe crea el grupo y lo devuelbe, y si ya existe lo devuelbe sin
     * crear nada.
     * @param groupName
     * @return 
     */
    public TemporaryStorageGroup create(String groupName);

    public TemporaryStorageGroup create(String groupName, Class classOfElements);

    @Override
    public Iterator<TemporaryStorageGroup> iterator();

    /**
     *
     * @param groupName
     * @return
     */
    public boolean remove(String groupName);

}
