package org.gvsig.tools.evaluator.sqljep;

import org.gvsig.tools.evaluator.Evaluator;
import org.gvsig.tools.evaluator.EvaluatorFactory;

public class SQLJEPEvaluatorFactory implements EvaluatorFactory {

    @Override
    public Evaluator createEvaluator(String expression) {
        return new SQLJEPEvaluator(expression);
    }

    @Override
    public String getName() {
        return "SQLJEP (gvSIG 2.3 compatible)";
    }
    
}
