
package org.gvsig.app.project.documents.table.gui;

import org.gvsig.app.project.documents.table.TableDocument;
import org.gvsig.propertypage.PropertiesPage;
import org.gvsig.propertypage.PropertiesPageFactory;


public class GeneralTablePropertiesPageFactory implements PropertiesPageFactory {

    @Override
    public boolean isVisible(Object obj) {
        // Always if enabled this page
        return true;
    }

    @Override
    public String getName() {
        return "General";
    }
    
    @Override
    public PropertiesPage create(Object container, Object data) {
        return new GeneralTablePropertiesPage((TableDocument)data);
    }

    @Override
    public String getGroupID() {
        return TableDocument.TABLE_PROPERTIES_PAGE_GROUP;
    }
    
}
