
package org.gvsig.app.project.documents.gui.projectpanel;

import org.gvsig.app.project.Project;
import org.gvsig.propertypage.PropertiesPage;
import org.gvsig.propertypage.PropertiesPageFactory;

public class ProjectDocumentsPanelPageFactory implements PropertiesPageFactory {

    @Override
    public String getGroupID() {
        return Project.PROJECT_PANEL_PAGE_GROUP;
    }

    @Override
    public String getName() {
        return "General";
    }
    
    @Override
    public boolean isVisible(Object obj) {
        // Always if enabled this page
        return true;
    }

    @Override
    public PropertiesPage create(Object container, Object data) {
        return new ProjectDocumentsPanelPage();
    }
    
}
