package org.gvsig.app.project.documents.view.expressionevaluator;

import org.gvsig.andami.IconThemeHelper;
import org.gvsig.expressionevaluator.swing.Element;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingLocator;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingManager;
import org.gvsig.expressionevaluator.swing.spi.AbstractElementFactory;

/**
 *
 * @author jjdelcerro
 */
public class ViewElementFactory extends AbstractElementFactory {
    
    public ViewElementFactory() {
        super("View", null);
    }

    @Override
    public Element createElement(Object... parameters) {
        ViewElement e = new ViewElement();
        return e;
    }

    @Override
    public boolean isAutoload() {
        return true;
    }
   
    public static void selfRegister() {
        ExpressionEvaluatorSwingManager manager = ExpressionEvaluatorSwingLocator.getManager();
        ViewElementFactory factory = new ViewElementFactory();
        manager.registerElement(factory);

        IconThemeHelper.registerIcon("element", "expressionbuilder-element-view-capture-point", factory);
        IconThemeHelper.registerIcon("element", "expressionbuilder-element-view-capture-bbox", factory);
        IconThemeHelper.registerIcon("element", "expressionbuilder-element-view-projection-code", factory);
        IconThemeHelper.registerIcon("element", "expressionbuilder-element-view", factory);        
    }
    
}
