package org.gvsig.app.project.documents.view.gui;

import java.util.Iterator;
import javax.swing.Icon;
import javax.swing.JComponent;
import org.gvsig.tools.swing.api.Component;

public interface ViewInformationArea extends Component, Iterable<ViewInformationArea.ViewInformationAreaElement>  {

    public interface ViewInformationAreaElement extends Component {

        Icon getIcon();

        void setIcon(Icon icon);

        String getLabel();

        void setLabel(String label);

        int getPriority();

        void setPriority(int priority);

        String getTip();

        void setTip(String tip);
        
        public Component getComponent();

    }

    public void add(JComponent component, String id, int priority, String label, Icon icon, String tip);

    public void add(Component component, String id, int priority, String label, Icon icon, String tip);

    public ViewInformationAreaElement get(String id);

    public void remove(String id);
    
    public void update();
    
    @Override
    public Iterator<ViewInformationAreaElement> iterator();

}
