package org.gvsig.app.project.documents.view.legend.gui;

import org.gvsig.fmap.mapcontext.layers.FLayer;
import org.gvsig.fmap.mapcontext.rendering.legend.styling.ILabelingStrategy;


public interface LabelingPanel {
    
    public boolean isLabelingEnabled();
    
    public void setLabelingEnabled(boolean enabled);
    
    public ILabelingStrategyPanel getCurrentLabelingStrategy();

    public void setCurrentLabelingStrategy(ILabelingStrategyPanel panel);
    
    public FLayer getLayer(); 
    
    public void setLayer(FLayer layer);
    
    public ILabelingStrategy getLabelingStrategy();
}
