package org.gvsig.app.project.symboltables.functionPanels.firstlayerfeature;

import org.gvsig.app.project.symboltables.ProjectSymbolTable;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingLocator;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingManager;
import org.gvsig.expressionevaluator.swing.FunctionAdditionalPanelFactory;
import org.gvsig.expressionevaluator.swing.JExpressionBuilder;
import org.gvsig.expressionevaluator.swing.spi.AbstractFunctionAdditionalPanelFactory;
import org.gvsig.tools.swing.api.Component;

/**
 *
 * @author jjdelcerro
 */
public class FirstLayerFeatureAditionalPanelFactory extends AbstractFunctionAdditionalPanelFactory {
    
    public FirstLayerFeatureAditionalPanelFactory() {
        super(ProjectSymbolTable.FETCH_FIRST_NAME);
    }

    @Override
    public Component createAdditionalPanel(JExpressionBuilder expressionBuilder, Object... args) {
        Component p = new FirstLayerFeatureAditionalPanel(expressionBuilder);
        return p;
    }

    public static void selfRegister() {
//        ExpressionEvaluatorSwingManager manager = ExpressionEvaluatorSwingLocator.getManager();
//        FunctionAdditionalPanelFactory factory = new FirstLayerFeatureAditionalPanelFactory();
//        manager.registerAdditionalPanel(factory);
    }
    
}
