
package org.gvsig.app.project.documents.view.gui;

import org.gvsig.app.project.documents.view.ViewDocument;
import org.gvsig.propertypage.PropertiesPage;
import org.gvsig.propertypage.PropertiesPageFactory;


public class ViewSnappingPropertiesPageFactory implements PropertiesPageFactory {

    public String getName() {
      return "Snapping";
    }
    
    public boolean isVisible(Object obj) {
        // Always if enabled this page
        return true;
    }

    public PropertiesPage create(Object container, Object data) {
        return new ViewSnappingPropertiesPage((ViewDocument)data);
    }

    public String getGroupID() {
        return ViewDocument.VIEW_PROPERTIES_PAGE_GROUP;
    }

}
