package org.gvsig.fmap.dal;

import org.gvsig.tools.dynobject.DynObject;
import org.gvsig.tools.extensionpoint.ExtensionSingleton;
import org.gvsig.tools.service.spi.Services;


public interface DataFactory extends ExtensionSingleton {

    public String getName();

    public String getDescription();
    
    public boolean isHidden();

    public DynObject createParameters();

    public DataFactoryUnit create(DynObject paameters, Services services);
}
