package org.gvsig.fmap.dal;

import org.gvsig.fmap.dal.exception.InitializeException;
import org.gvsig.fmap.dal.spi.DataServerExplorerProviderServices;

public interface DataServerExplorerFactory extends DataFactory {

    public DataServerExplorer create(
            DataServerExplorerParameters parameters, 
            DataServerExplorerProviderServices providerServices
    ) throws InitializeException;
            
    public int allowCreate();

    public int hasTabularSupport();

    public int hasVectorialSupport();

    public int hasRasterSupport();

}
