package org.gvsig.fmap.dal;

import org.cresques.cts.IProjection;
import org.gvsig.fmap.geom.Geometry;
import org.gvsig.timesupport.Interval;
import static org.gvsig.tools.dataTypes.DataTypeUtils.coerce;

/**
 *
 * @author jjdelcerro
 */
public class DataTypeUtils extends org.gvsig.tools.dataTypes.DataTypeUtils {
    
    public static IProjection toProjection(Object value, String defaultValue) {
        return (IProjection) coerce(DataTypes.CRS, value, defaultValue);
    }

    public static Interval toInterval(Object value, String defaultValue) {
        return (Interval) coerce(DataTypes.INTERVAL, value, defaultValue);
    }

    public static Geometry toGeometry(Object value, String defaultValue) {
        return (Geometry) coerce(DataTypes.GEOMETRY, value, defaultValue);
    }

}
