/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.fmap.dal;

import java.util.Iterator;
import java.util.List;
import org.gvsig.fmap.dal.exception.InitializeException;
import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
import org.gvsig.tools.service.spi.Services;

public interface Register extends Iterable<DataFactory> {

    public DataFactoryUnit create(
            String name, 
            DataParameters parameters,
            Services services
        ) throws ProviderNotRegisteredException, InitializeException;

    public boolean exits(String name);

    public DataFactory getFactory(String name);

    public List<String> getFactoryNames();

    public void register(DataFactory factory);
    
    @Override
    public Iterator<DataFactory> iterator();
}
