package org.gvsig.fmap.dal.expressionevaluator;

import org.gvsig.expressionevaluator.Expression;
import org.gvsig.expressionevaluator.SymbolTable;
import org.gvsig.tools.evaluator.EvaluatorWithDescriptions;

/**
 *
 * @author jjdelcerro
 */
public interface ExpressionEvaluator extends EvaluatorWithDescriptions {

    /**
     * Get a SQL representation of the evaluator.
     *
     * This funcion can return a non-sql compatible expression.
     * 
     * @return the SQL string.
     */
    @Override
    public String getSQL();
    
    public Expression getExpression();
    
    public SymbolTable getSymbolTable();
}
