package org.gvsig.fmap.dal.expressionevaluator;

import org.gvsig.expressionevaluator.Expression;
import org.gvsig.expressionevaluator.SymbolTable;
import org.gvsig.fmap.dal.feature.FeatureAttributeEmulator;
import org.gvsig.tools.persistence.Persistent;

/**
 *
 * @author jjdelcerro
 */
public interface FeatureAttributeEmulatorExpression extends FeatureAttributeEmulator, Persistent {

    public Expression getExpression();
    
    public SymbolTable getSymbolTable();

    public String getErrorMessage();

    public boolean isValid();
    
    public void setEnableExceptions(boolean enableException);
    
    public boolean isEnableExceptions();
    
}
