package org.gvsig.fmap.dal.feature;

import org.gvsig.tools.dataTypes.CoercionException;
import org.gvsig.tools.dataTypes.DataType;
import org.gvsig.tools.dynobject.Tags;

/**
 *
 * @author jjdelcerro
 */
public interface DataProfile {

    public String getID();
    
    public String getName();
    
    public Class getDataClass();
    
    public Object createData(Object data, Tags tags);

    public Object coerce(DataType dataType, Object value, Tags tags) throws CoercionException;
}
