
package org.gvsig.fmap.dal.store.jdbc2.spi;

import java.sql.Connection;
import org.cresques.cts.IProjection;

public interface SRSSolver {

    void add(Object databaseCode, String applicationAbbrev);

    String getApplicationAbbrev(Connection connection, Object databaseCode);

    Object getDatabaseCode(Connection connection, String applicationAbbrev);

    boolean hasApplicationAbbrev(Connection connection, String applicationAbbrev);

    boolean hasDatabaseCode(Connection connection, Object databaseCode);

    public IProjection getProjection(Connection connection, Object databaseCode);
    
    public Object getDatabaseCode(Connection connection, IProjection projection);
}
