/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.fmap.dal.feature.spi.simpleprovider;

import java.io.File;
import java.util.List;
import java.util.Map;
import org.gvsig.fmap.dal.StoresRepository;
import org.gvsig.fmap.dal.feature.OpenFeatureStoreParameters;
import org.gvsig.fmap.dal.feature.spi.simpleprovider.AutomaticDetectionOfTypes.Rows;
import org.gvsig.tools.resourcesstorage.ResourcesStorage;

/**
 *
 * @author jjdelcerro
 */
public interface SimpleSequentialReader extends Rows {

    public SimpleSequentialReaderFactory getFactory();
    
    public File getFile();
    
    public List<String> getFieldNames();

    @Override
    public List<Object> read();
    
    public void rewind();
    
    public void close();

    public String getName();
    
    public String getAlias();
    
    public String getLabel();
    
    public String getDescription();
    
    public Map<String,String> getTags();

    public List<SimpleSequentialReader> getChildren();
    
    public long getRowCount();
    
    public StoresRepository getStoresRepository();

    public ResourcesStorage getResourcesStorage();
    
    public OpenFeatureStoreParameters getParameters();
}
