package org.gvsig.fmap.dal.swing.jdbc;

import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;
import org.gvsig.tools.util.LabeledValue;

/**
 *
 * @author jjdelcerro
 */
public interface JDBCConnectionDialog {

    public String getConnectionName();

    public JDBCServerExplorerParameters getServerExplorerParameters();
    
    public LabeledValue<JDBCServerExplorerParameters> getLabeledServerExplorerParameters();

    public boolean isCanceled();

    public void showDialog();
    
}
