package org.gvsig.featureform.swing.impl.dynformset;

import org.gvsig.tools.dynform.DynFormDefinition;
import org.gvsig.tools.dynform.JDynForm;
import org.gvsig.tools.dynform.JDynFormSet;
import org.gvsig.tools.dynform.spi.DynFormSPIManager;
import org.gvsig.tools.dynform.spi.dynformset.AbstractJDynFormSetFactory;
import org.gvsig.tools.dynobject.Tags;

public class FeatureTableJDynFormSetFactory extends AbstractJDynFormSetFactory {

    public static final String NAME = "DAL.SimpleFeatureTable";

    public FeatureTableJDynFormSetFactory() {
        super(NAME);
    }

    @Override
    public boolean isApplicableTo(JDynForm.DynFormContext context, DynFormDefinition definition, Tags contextTags) {
        return false; // FIXME: usar los tags de definition para saber si debe instanciarse este.
    }

    @Override
    public JDynFormSet create(DynFormSPIManager manager, JDynForm.DynFormContext context, DynFormDefinition definition, Tags contextTags) {
        return new FeatureTableJDynFormSet(manager, this, context, definition, contextTags);
    }
}
