package org.gvsig.fmap.dal.swing.impl.dataStoreParameters;

import org.gvsig.fmap.dal.swing.dataStoreParameters.AbstractDataStoreParametersPanelFactory;
import org.gvsig.fmap.dal.swing.dataStoreParameters.DataStoreParametersPanel;
import org.gvsig.fmap.dal.swing.dataStoreParameters.DataStoreParametersPanelFactory;
import org.gvsig.tools.dynobject.DynObject;

public class DataStoreDynObjectParametersPanelFactory
    extends
        AbstractDataStoreParametersPanelFactory
    implements
        DataStoreParametersPanelFactory 
    {

    @Override
    public DataStoreParametersPanel create(DynObject parameters) {
        return new DataStoreDynObjectParametersPanel(parameters);
    }

    @Override
    public boolean canBeApplied(DynObject parameters) {
        return true;
    }

    @Override
    public int getPriority() {
        return LOWEST_PRIORITY - 1;
    }

}
