package org.gvsig.export.swing.spi;

import org.gvsig.export.ExportLocator;
import org.gvsig.export.spi.ExportServiceFactory;

/**
 *
 * @author jjdelcerro
 */
public abstract class AbstractExportPanelsFactory implements ExportPanelsFactory {

    private final String name;

    public AbstractExportPanelsFactory(
            String name
        ) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public ExportServiceFactory getServiceFactory() {
        ExportServiceFactory factory = ExportLocator.getServiceManager().getServiceFactory(this.getName());
        return factory;
    }

//    protected ExportParameters createParameters() {
//        ExportParameters parameters = this.getServiceFactory().createParameters();
//        return parameters;
//    }
    
    
}
