package org.gvsig.export.swing.impl;

import org.gvsig.export.ExportProcess;
import org.gvsig.export.Filter;
import org.gvsig.export.spi.ExportServiceFactory;
import org.gvsig.export.swing.ExportSwingManager;
import org.gvsig.export.swing.JExportConfigPanel;
import org.gvsig.export.swing.JExportProcessPanel;

/**
 *
 * @author jjdelcerro
 */
public class DefaultExportSwingManager 
        implements ExportSwingManager
    {

    @Override
    public JExportProcessPanel createJExportProcessPanel(
            ExportProcess process, 
            Filter<ExportServiceFactory> serviceFilter
        ) {
        JExportProcessPanel panel = new DefaultJExportProcessPanel(process,serviceFilter);
        return panel;
    }

    public JExportProcessPanel createJExportProcessPanel(
            ExportProcess process
        ) {
        JExportProcessPanel panel = new DefaultJExportProcessPanel(process,null);
        return panel;
    }

    @Override
    public JExportConfigPanel createJExportConfigPanel() {
        JExportConfigPanel panel = new DefaultJExportConfigPanel();
        return panel;
    }
    
}
