package org.gvsig.export.csv.service;

import org.gvsig.export.ExportCharsetParameters;
import org.gvsig.tools.util.HasAFile;
import org.gvsig.export.ExportParameters;

/**
 *
 * @author jjdelcerro
 */
public interface ExportCSVParameters extends ExportCharsetParameters, ExportParameters, HasAFile {
    
    public String getProfile();
    
    public void setProfile(String profile);
    
    public String getQuotePolicy();
    
    public void setQuotePolicy(String quotePolicy);
    
    public String getLocale();
    
    public void setLocale(String locale);
    
    public String getRecordSeparator();
    
    public void setRecordSeparator(String recordSeparator);
    
    public String getDelimiter();
    
    public void setDelimiter(String delimiter);
    
    public String getQuoteCharacter();
    
    public void setQuoteCharacter(String quoteCharacter);
    
    public String getCommentStartMarker();
    
    public void setCommentStartMarker(String commentStartMarker);
    
    public String getEscapeCharacter();
    
    public void setEscapeCharacter(String escapeCharacter);
    
}
