package org.gvsig.export.jdbc.swing;

import org.gvsig.export.jdbc.service.ExportJDBCServiceFactory;
import org.gvsig.export.ExportParameters;
import org.gvsig.export.swing.JExportProcessPanel;
import org.gvsig.export.swing.spi.AbstractExportPanelsFactory;
import org.gvsig.export.swing.spi.ExportPanels;
import org.gvsig.export.swing.spi.ExportPanelsFactory;

/**
 *
 * @author jjdelcerro
 */
public class ExportJDBCPanelsFactory 
        extends AbstractExportPanelsFactory
        implements ExportPanelsFactory {

    public ExportJDBCPanelsFactory() {
        super(ExportJDBCServiceFactory.SERVICE_NAME);
    }

    @Override
    public ExportPanels createPanels(JExportProcessPanel processPanel, ExportParameters parameters) {
        return new ExportJDBCPanels(this, processPanel, parameters);
    }
    
}
