package org.gvsig.export.shape.swing;

import org.gvsig.export.shape.service.ExportShapeServiceFactory;
import org.gvsig.export.ExportParameters;
import org.gvsig.export.swing.JExportProcessPanel;
import org.gvsig.export.swing.spi.AbstractExportPanelsFactory;
import org.gvsig.export.swing.spi.ExportPanels;
import org.gvsig.export.swing.spi.ExportPanelsFactory;

/**
 *
 * @author jjdelcerro
 */
public class ExportShapePanelsFactory  
        extends AbstractExportPanelsFactory
        implements ExportPanelsFactory {

    public ExportShapePanelsFactory() {
        super(ExportShapeServiceFactory.SERVICE_NAME);
    }

    @Override
    public ExportPanels createPanels(JExportProcessPanel processPanel, ExportParameters parameters) {
        return new ExportShapePanels(this, processPanel, parameters);
    }
    
}
