package org.gvsig.expressionevaluator;

import org.gvsig.tools.util.UnmodifiableBasicList;

/**
 *
 * @author jjdelcerro
 */
public interface GrammarSet extends UnmodifiableBasicList<Grammar> {
    
        public Statement getApplicableStatement(Statement.StatementContext context);

        public boolean isReservedWord(String id);
        
        public void add(Grammar grammar);
        
        public boolean contains(Grammar grammar);    
}
