package org.gvsig.expressionevaluator.spi;

import org.gvsig.expressionevaluator.GrammarFactory;

/**
 *
 * @author jjdelcerro
 */
public abstract class AbstractGrammarFactory implements GrammarFactory {

    private final String name;
    private final boolean autoload;

    protected AbstractGrammarFactory(String name, boolean autoload) {
        this.name = name;
        this.autoload = autoload;
    }
    
    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public boolean isAutoload() {
        return autoload;
    }
    
}
