package org.gvsig.expressionevaluator.impl.function.numeric;

import org.apache.commons.lang3.Range;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;

public class PiFunction extends AbstractFunction {

    public PiFunction() {
        super("Numeric", "PI", Range.is(0));
    }

    @Override
    public Object call(Interpreter interpreter, Object[] args) {
        return Math.PI;
    }

    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
}
