package org.gvsig.expressionevaluator.impl.function.spatial;

import org.apache.commons.lang3.Range;
import org.gvsig.expressionevaluator.Interpreter;
import org.gvsig.expressionevaluator.spi.AbstractFunction;
import org.gvsig.fmap.geom.primitive.Envelope;

public class STEnvelopeFunction extends AbstractFunction {

    public STEnvelopeFunction() {
        super("OGC", "ST_Envelope", Range.is(1));
    }
    
    @Override
    public boolean allowConstantFolding() {
        return true;
    }
    
    @Override
    public Object call(Interpreter interpreter, Object[] args) throws Exception {
        Envelope r = getGeom(args, 0).getEnvelope();
        return r;
    }
    
}
