package org.gvsig.expresionevaluator.impl;

import static junit.framework.Assert.assertEquals;
import junit.framework.TestCase;
import org.gvsig.expressionevaluator.impl.ExpressionEvaluatorImplLibrary;
import org.gvsig.expressionevaluator.Function;
import org.gvsig.expressionevaluator.impl.function.numeric.ACosFunction;
import org.gvsig.expressionevaluator.impl.function.spatial.STAreaFunction;
import org.gvsig.tools.library.impl.DefaultLibrariesInitializer;

/**
 *
 * @author jjdelcerro
 */
public class TestLoadResource extends TestCase {

    public TestLoadResource(String testName) {
        super(testName);
    }

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        new DefaultLibrariesInitializer().fullInitialize();
    }

    @Override
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    // TODO add test methods here. The name must begin with 'test'. For example:
    // public void testHello() {}

    public void testFunctionExpression1() {
        Function fn = new STAreaFunction();
        assertEquals("ST_Area({{geometry}})", fn.template());
    }    
}
