package org.gvsig.expressionevaluator.swing.impl.elements;

import org.apache.commons.lang3.StringUtils;
//import org.gvsig.expressionevaluator.swing.Element.VariableElement;
import org.gvsig.expressionevaluator.swing.ExpressionBuilderConfig;
import org.gvsig.expressionevaluator.swing.spi.AbstractElement;
import org.gvsig.tools.ToolsLocator;
import org.gvsig.tools.i18n.I18nManager;

/**
 *
 * @author jjdelcerro
 */
public class DefaultVariableElement
        extends AbstractElement //        implements VariableElement 
{

    private final String label;
    private final String source;
    private final String typeName;
    private final String description;
    private final ExpressionBuilderConfig config;

    public DefaultVariableElement(ExpressionBuilderConfig config, String label, String source, String name, String typeName, String description) {
        super(name, "expressionbuilder-element");
        this.description = description;
        this.label = label;
        this.source = source;
        this.typeName = typeName;
        this.config = config;
    }

//    @Override
    public String getSource() {
        return this.source;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

//    @Override
    public String getTypeName() {
        return typeName;
    }

    @Override
    public String getDescription() {
//        I18nManager i18n = ToolsLocator.getI18nManager();
//
//        StringBuilder html = new StringBuilder();
//        html.append("<html>\n");
//
//        html.append("<b>").append(this.getLabel()).append("</b><br>\n<br>\n");
//        html.append("<b>").append(i18n.getTranslation("_Source")).append("</b> ").append(this.getSource()).append("<br>\n");
//        html.append("<b>").append(i18n.getTranslation("_Name")).append("</b> ").append(this.getName()).append("<br>\n");
//        html.append("<b>").append(i18n.getTranslation("_Type")).append("</b> ").append(this.getTypeName()).append("<br>\n");
//        if( !StringUtils.isBlank(this.description) &&
//                StringUtils.equalsAnyIgnoreCase(this.getName(), this.description) ) {
//            html.append("<b>").append(i18n.getTranslation("_Description")).append("</b><br>\n");
//            html.append(this.description.replace("\n", "<br>")).append("<br>\n");
//        }
//        html.append("</html>\n");
//        return html.toString();
        return null;
    }

}
