package org.gvsig.fmap.mapcontrol.swing.dynformfield.CoordinateReferenceSystem;

import org.gvsig.fmap.dal.DataTypes;
import org.gvsig.tools.dynform.DynFormFieldDefinition;
import org.gvsig.tools.dynform.JDynFormField;
import org.gvsig.tools.dynform.spi.DynFormSPIManager;
import org.gvsig.tools.dynform.spi.dynformfield.AbstractJDynFormFieldFactory;

public class JDynFormFieldCoordinateReferenceSystemFactory extends AbstractJDynFormFieldFactory {

    public JDynFormFieldCoordinateReferenceSystemFactory() {
        super("CRS", DataTypes.CRS);
    }

    @Override
    public JDynFormField create(
            DynFormSPIManager serviceManager,
            DynFormSPIManager.ComponentsFactory componentsFactory,
            DynFormFieldDefinition fieldDefinition,
            Object value
    ) {
        return new JDynFormFieldCoordinateReferenceSystem(serviceManager, componentsFactory, this, fieldDefinition, value);
    }

}
