package org.gvsig.installer.swing.api.packagebuilder;

import java.io.File;
import org.gvsig.tools.packageutils.PackageInfo;
import org.gvsig.tools.swing.api.Component;


public interface PackageBuildder extends Component {

    public interface BeforePackingListener {
        public void perfrom(PackageBuildder builder);
    }
    
    public PackageInfo getPackageInfo();

    public String getPackageType();

    public void setFolderToPackaging(File file);
    
    public File getFolderToPackaging();
    
    public void addBeforePackingListener(BeforePackingListener listener);
    
}
