/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.gvsig.symbology.fmap.mapcontext.rendering.dynamiclegend;

import org.gvsig.expressionevaluator.ExpressionEvaluatorLocator;
import org.gvsig.expressionevaluator.ExpressionEvaluatorManager;
import org.gvsig.symbology.SymbologyLocator;
import org.gvsig.tools.util.Factory;

/**
 *
 * @author osc
 */
public class DynamicLabelingStrategyFactory implements Factory {

    @Override
    public String getName() {
        return DynamicLabelingStrategy.NAME;
    }

    @Override
    public Object create(Object... parameters) {
        return new DefaultDynamicLabelingStrategy();
    }
    
   public static void selfRegister() {
        SymbologyLocator.getSymbologyManager().registerLabelingStrategy(new DynamicLabelingStrategyFactory());
    }
    
}
