
package org.gvsig.app.project.documents.view.legend.gui;

import java.util.Collection;
import org.gvsig.fmap.mapcontext.layers.FLayer;
import org.gvsig.fmap.mapcontext.rendering.legend.ILegend;
import org.gvsig.tools.swing.api.Component;


public interface LegendsPanel extends Component {
    
    public ILegend getLegend();
    
    public FLayer getLayer();
    
    public ILegendPanel getActivePage();
    
    public ILegendPanel getPage(Class<? extends ILegendPanel> pageClass);
    
    public Collection<ILegendPanel> getPages();
    
    public void setLegend(ILegend legend);
    
    public void setLayer(FLayer layer);
    
    public void setActivePage(ILegendPanel panel);

}
