package org.gvsig.temporarystorage;

import java.util.List;
import org.apache.commons.lang3.tuple.Pair;

public interface TemporaryStorageGroup  {

    public String getName();

    public Class getClassOfElements();

    public boolean contains(String name);

    public void put(String name, Object obj);

    /**
     * return the object or null if not exists
     * @param name
     * @return 
     */
    public Object get(String name);

    public boolean remove(String name);

    public List<Pair<String, Object>> asList();
}
