package org.gvsig.temporarystorage.impl;


import org.gvsig.temporarystorage.TemporaryStorageLibrary;
import org.gvsig.temporarystorage.TemporaryStorageLocator;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

public class TemporaryStorageImplLibrary extends AbstractLibrary {

    @Override
    public void doRegistration() {
        registerAsImplementationOf(TemporaryStorageLibrary.class);
    }

    @Override
    protected void doInitialize() throws LibraryException {
        TemporaryStorageLocator.registerManager(DefaultTemporaryStorageManager.class);
    }

    @Override
    protected void doPostInitialize() throws LibraryException {

    }
}

