package org.gvsig.app.project.documents.view.expressionevaluator.savedpoints;

import org.gvsig.andami.IconThemeHelper;
import org.gvsig.expressionevaluator.swing.Element;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingLocator;
import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingManager;
import org.gvsig.expressionevaluator.swing.spi.AbstractElementFactory;

/**
 *
 * @author jjdelcerro
 */
public class SavedPointsElementFactory extends AbstractElementFactory {
    
    public SavedPointsElementFactory() {
        super("CapturedPoints", null);
    }

    @Override
    public Element createElement(Object... parameters) {
        Element e = new SavedPointsElement();
        return e;
    }

    @Override
    public boolean isAutoload() {
        return true;
    }
    
    public static void selfRegister() {
        ExpressionEvaluatorSwingManager manager = ExpressionEvaluatorSwingLocator.getManager();
        SavedPointsElementFactory factory = new SavedPointsElementFactory();
        manager.registerElement(factory);
    }
    
}
